### Function

# Gio File new_build_filename

since: 2.56

#### Declaration [src]

    GFile*
    g_file_new_build_filename (
      const gchar* first_element,
      ...
    )

#### Description [src]

Constructs a `GFile` from a series of elements using the correct separator for filenames.

Using this function is equivalent to calling g_build_filename(), followed by `g_file_new_for_path()` on the result.

Available since: 2.56

This function is not directly available to language bindings.

#### Parameters

`first_element`

  Type: `const gchar*`

  The first element in the path.

  The data is owned by the caller of the function.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

`...`

  Type: ``

  Remaining elements in path, terminated by `NULL`.

#### Return value

Type: `GFile`

A new `GFile`.

The caller of the function takes ownership of the data, and is responsible for freeing it.